/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"

#define CONVERSATION_TEXT_COUNT_MAX 32

typedef struct {
  char *text;
  uint8_t speaker;
} conversationtext_t;

typedef struct {
  conversationtext_t texts[CONVERSATION_TEXT_COUNT_MAX];
  uint8_t textCount;
  uint8_t textCurrent;
} conversation_t;