/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "conversation.h"

void conversationInit(conversation_t *convo) {
  convo->textCount = 0x00;
  convo->textCurrent = 0x00;
}

void conversationNext(conversation_t *convo) {
  convo->textCurrent++;
}

conversationtext_t * conversationAdd(conversation_t *convo, uint8_t speaker,
  char *text
) {
  conversationtext_t *txt = convo->texts + (convo->textCount++);
  txt->text = text;
  txt->speaker = speaker;
  return txt;
}